# Copyright (c) 2015  Dave Love, University of Liverpool
# MIT licence, per Fedora policy

%global commit 2444130a04a2183526a9b26d5a5d8121efaad68b
# https://github.com/scalability-llnl/adept-utils/commit/0e9c1c71aea6a6a354b3de1196b65b311ceb5ca2

Name:		adept-utils
Version:	1.0.1
Release:	4%{?dist}
Summary:	LLNL Utility Libraries

License:	BSD
URL:		https://github.com/scalability-llnl/adept-utils
Source0:	https://github.com/scalability-llnl/adept-utils/archive/%commit.tar.gz
Patch1:		adept-utils-sover.patch
Patch2:		adept-utils-static.patch
# The boost-devel in RHEL 6.7 has a broken cmake file
BuildRequires:	cmake, boost-devel, gcc-c++

%description
LLNL Utility Libraries

%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release

%description devel
Development files for %name

%prep
%setup -q -n %{name}-%{commit}
%patch1 -p1 -b .soname
%patch2 -p1 -b .static
sed -i -e 's|/lib)|/%_lib)|g' adept_utils-config.cmake.in

%build
%cmake
# fixme: find how these are generated and fix there
sed -i -e 's|/lib/|/%_lib/|g' CMakeFiles/Export/share/cmake/adept_utils/adept_utils-libs*.cmake
make %{?smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
[ %_lib = lib ] || mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc
%_libdir/*.so.*

%files devel
%_includedir/*
%dir %_datadir/cmake
%_datadir/cmake/*
%_libdir/*.so


%changelog
* Fri Sep  2 2016 Dave Love <loveshack@fedoraproject.org> - 1.0.1-4
- Use vanilla boost on el6 now

* Wed May  4 2016 Dave Love <loveshack@fedoraproject.org> - 1.0.1-3
- Fix for %%_lib = lib
- Fix el6 build failure due to boost-devel bug

* Wed Aug 26 2015 Dave Love <loveshack@fedoraproject.org> - 1.0.1-2
- Again avoid static libs installation by cmake

* Wed Apr  1 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.1-1
- New version

* Fri Mar 27 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0-3
- Install static libs and replace cmake bit

* Sun Mar 22 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0-2
- Remove static libs from adept_utils-libs.cmake

* Fri Jan  9 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0-1
- Initial version
